<?php
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/gzip.php";
require_once"../template/header.php";

 if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
 	$log=check($log);
 	if (isset ($_GET['msg']) or isset ($_GET['name'])){
 		header ("Location: indexx.php?isset=posts&".SID);
 		exit;
 		}

 	if (strlen($msg) > 1000 || strlen(trim($msg)) < 3) {
 		header ("Location: indexx.php?isset=posts&".SID);
 		exit;}
 	//--------------------- Новый антифлуд -----------------------------//
 	if($config_floodstime > 0){
 		if(flooder($ip, $php_self) == TRUE ){
 			header ("Location: indexx.php?isset=antiflood&".SID);
 			exit;}
 		$flood_file = fopen(BASEDIR."local/flood.dat", "a+");
 		flock ($flood_file,LOCK_EX);
 		fputs ($flood_file,"$sitetime|$ip|$php_self|\r\n");
 		fflush($flood_file);
 		flock ($flood_file,LOCK_UN);
 		fclose($flood_file);
 		}
 	//--------------------- Карантин -----------------------------//
 	if($config_karantin > 0){
 		if($udata[6]+$config_karantin>$sitetime){
 			header ("Location: indexx.php?isset=karantin&".SID);
 			exit;}
 		}
 		$msg=check($msg);
 		$brow=check($brow);
 		$msg=no_br($msg,"<br>");
 		if($trans=="y"){$msg=transliter($msg);}
 		$msg = antimat($msg);
 		$msg = smiles($msg);
 		$mmagfi=file(BASEDIR."local/chat.dat");
 		$mmagshow = explode("|",end($mmagfi));
 		$text=$msg.'|'.$log.'||'.$sitetime.'|'.$brow.'|'.$ip.'|НО|'.$mmagshow[7].'|'.$mmagshow[8].'|';
 		$text=no_br($text);
 		$fp=fopen(BASEDIR."local/chat.dat","a+");
 		flock ($fp,LOCK_EX);
 		fputs($fp,"$text\r\n");
 		flock ($fp,LOCK_UN);
 		fclose($fp);
 		//-------Боты--------//
 		if($config_botnik=="1"){
 			include_once BASEDIR."template/chat_bot.php";
 			if(!empty($mssg)){
 				$text3=$mssg.'|'.$namebots.'||'.$sitetime.'|MOT-V3|L-O-V-E|НО|'.$mmagshow[7].'|'.$mmagshow[8].'|';
 				$text3=no_br($text3);
 				$fp=fopen(BASEDIR."local/chat.dat","a+");
 				flock ($fp,LOCK_EX);
 				fputs($fp,"$text3\r\n");
 				flock ($fp,LOCK_UN);
 				fclose($fp);
 				}}
 		//===========================//
 		$f = file(BASEDIR."local/local.dat");
 		$u = explode("|",$f[0]);
 		$u[1]++;
 		$t=$u[0].'|'.$u[1].'|'.$u[2].'|'.$u[3].'|'.$u[4].'|'.$u[5].'|'.$u[6].'|'.$u[7].'|'.$u[8].'|'.$u[9].'|'.$u[10].'|';
 		$fp = fopen(BASEDIR."local/local.dat","a+");
 		flock ($fp,LOCK_EX);
 		ftruncate ($fp,0);
 		fputs($fp,$t);
 		fflush ($fp);
 		flock ($fp,LOCK_UN);
 		fclose($fp);
 		//============================//
 	$file=file(BASEDIR."local/chat.dat");
 	$i = count($file);
 	if ($i>=$config_maxpostchat) {
 		$fp=fopen(BASEDIR."local/chat.dat","w");
 		flock ($fp,LOCK_EX);
 		unset($file[0],$file[1],$file[2],$file[3],$file[4]);
 		fputs($fp, implode("",$file));
 		flock ($fp,LOCK_UN);
 		fclose($fp);
 		}
 	//---------- Запись в профиль -----------//
 	$ufile = file(BASEDIR."local/profil/$log.prof");
 	$udata = explode(":||:",$ufile[0]);
 	$udata[14]=$ip;
 	$udata[12]++;
 	$udata[36]++;
 	$udata[41]++;
 	for ($u=0; $u<$config_userprofkey; $u++){
 		$utext.=$udata[$u].':||:';}
 		if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
 			$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
 			flock($fp,LOCK_EX);
 			ftruncate($fp,0);
 			fputs($fp,$utext);
 			fflush($fp);
 			flock($fp,LOCK_UN);
 			fclose($fp);
 			unset($utext);
 			}
 	//========================================//
 	if($config_magnik=="1"){
 		$ttty=$sitetime+60;
 		if (stristr($msg, $mmagshow[8])) {
 			$magmsg = 'Молодец '.$log.'! Правильный ответ [b]'.$mmagshow[8].'[/b]! Следующий вопрос через 1 минуту';
 			$mmtext=$magmsg.'|Вундер-киндер||'.$sitetime.'|Opera|127.0.0.3|НО|'.$ttty.'||';
 			$mmtext=no_br($mmtext);
 			$fp=fopen(BASEDIR."local/chat.dat","a+");
 			flock ($fp,LOCK_EX);
 			fputs($fp,"$mmtext\r\n");
 			flock ($fp,LOCK_UN);
 			fclose($fp);
 		}
 	}
 	header ("Location: indexx.php?isset=addon&".SID);
 	}
 	else
 	{
 		header ("Location: ../index.php?isset=inputoff&".SID);
 		exit;}


?>
